/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sun Mar  2 01:25:52 CST 2003
    copyright            : (C) 2003 by Wojciech Jarosz
    email                : wkjarosz@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// this is needed to make libjpeg work with qt for some reason.
// qt defines INT32, and so does libjpeg, these two defines conflict
#define QT_CLEAN_NAMESPACE

#include "kslidesaverkss.h"

#include <qgl.h>
#include <kapplication.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <qmessagebox.h>
#include "kslidesaversetup.h"

extern "C"
{
    const char *kss_applicationName = "kslidesavergl";
    const char *kss_description = I18N_NOOP( "GL SlideShow Screensaver" );
    const char *kss_version = "0.7";

    KScreenSaver *kss_create( WId id )
    {
        return new KSlideSaverKSS( id );
    }

    QDialog *kss_setup()
    {
        return new KSlideSaverSetup();
    }
}
