/***************************************************************************
                          jpegloader.h  -  description
                             -------------------
    begin                : Tue Mar 4 2003
    copyright            : (C) 2003 by Wojciech Jarosz
    email                : wjarosz@renderbtch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef JPEGLOADER
#define JPEGLOADER

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#if HAVE_LIBJPEG

#include <stdio.h>
#include "imageloader.h"
extern "C"
{
	#include <jpeglib.h>
}

class ByteRaster;

class jpegLoader : public imageLoader
{
public:
	jpegLoader();
	virtual ~jpegLoader();

	virtual bool read_image(const char * filename);
	virtual bool start_incremental_image_read(const char* filename);
	virtual int incremental_image_read(const int& numLines);
	virtual void finish_incremental_image_read(void);

protected:	
	struct jpeg_decompress_struct cinfo;
	struct jpeg_error_mgr jerr;

	unsigned char* scanline;
    int row_stride;
};

#endif
#endif

