/***************************************************************************
                          pngloader.h  -  description
                             -------------------
    begin                : Thu May 1 2003
    copyright            : (C) 2003 by Wojciech Jarosz
    email                : wkjarosz@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef PNGLOADER
#define PNGLOADER

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#if HAVE_LIBPNG

#include <stdio.h>
#include "imageloader.h"
#include <png.h>


class ByteRaster;

class pngLoader : public imageLoader
{
public:
	pngLoader();
	virtual ~pngLoader();

	virtual bool read_image(const char * filename);
	virtual bool start_incremental_image_read(const char* filename);
	virtual int incremental_image_read(const int& numLines);
	virtual void finish_incremental_image_read(void);

protected:
	png_structp png_ptr;
	png_infop info_ptr;
	int number_of_passes;

	unsigned char* scanline;
    int row_stride;
};

#endif
#endif

