# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   A KDE slideshow screensaver which uses OpenGL.
Name:      kslidesavergl
Version:   0.6
Release:   0.6
Copyright: GPL
Vendor:    Wojciech Jarosz <wkjarosz@hotmail.com>
Url:       http://renderedRealities.net

Packager:  Wojciech Jarosz <wkjarosz@hotmail.com>
Group:     User Interface/Desktops
Source:    kslidesavergl-0.6.tar.gz
BuildRoot: 

%description


%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                --prefix=/usr \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.kslidesavergl
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.kslidesavergl
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.kslidesavergl

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/kslidesavergl
rm -rf ../file.list.kslidesavergl


%files -f ../file.list.kslidesavergl
