/****************************************************************************
** Form interface generated from reading ui file './kslidesaversetup.ui'
**
** Created: Tue May 6 17:14:22 2003
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.1.2   edited Dec 19 11:45 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef KSLIDESAVERSETUP_H
#define KSLIDESAVERSETUP_H

#include <qvariant.h>
#include <qdialog.h>
#include <kaboutdialog.h>
#include "kslidesaver.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QFrame;
class KURLRequester;
class QCheckBox;
class QLabel;
class QSlider;
class QPushButton;

class KSlideSaverSetup : public QDialog
{
    Q_OBJECT

public:
    KSlideSaverSetup( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~KSlideSaverSetup();

    QFrame* previewFrame;
    KURLRequester* imageDirectoryRequester;
    QCheckBox* randomizeCheckBox;
    QCheckBox* imageNamesCheckBox;
    QLabel* secondsTextLabel;
    QSlider* delaySlider;
    QLabel* delayTextLabel1;
    QLabel* delayTextLabel2;
    QSlider* fadeSlider;
    QLabel* fadeTextLabel;
    QPushButton* aboutButton;
    QPushButton* okButton;
    QPushButton* cancelButton;

public slots:
    virtual void init();
    virtual void saveAndUpdatePreview();
    virtual void updatePreview();
    virtual void okButton_clicked();
    virtual void setDelay( int i );
    virtual void setDirectory( const QString & str );
    virtual void showAbout();
    virtual void changeLanguage();
    virtual void setRandomize( bool b );
    virtual void setFadeAmount( int i );
    virtual void setShowImageNames( bool b );

protected:
    KAboutDialog* about;
    KSlideSaver * slideSaverWidget;
    QString* imageDirectory;

    QGridLayout* KSlideSaverSetupLayout;
    QVBoxLayout* layout5;
    QGridLayout* layout2;
    QGridLayout* layout3;
    QHBoxLayout* layout5_2;

protected slots:
    virtual void languageChange();

private slots:
    virtual void writeConfig();
    virtual void readConfig();

};

#endif // KSLIDESAVERSETUP_H
